Subject: Re: Queries regarding TAP interface

From: Stephen Hemminger <[email-masked]>
Date: Fri, 12 May 2017 08:52:29 -0700

On Fri, 12 May 2017 05:02:37 +0000
"Kashyap, Saurav" <[email-masked]> wrote:

> Hi,
> 
> I am using upstream kernel 4.11.0 and base is RHEL 7.2. I am playing around with TAP devices and created it using following commands
> =======
> ip tuntap add tap10 mode tap
> ip addr add 172.28.12.1/24 dev tap10
> ip link set tap10 up
> ethtool -s tap10 msglvl 1
> =======
> 
> I enabled debug in driver and also added some prints in tun_net_xmit function. I tried to ping using tap10 but I don’t see request reaching driver. I also tried to create a bridge using brctl and link with physical ethernet interface but it didn’t work.
> 
> Second experiment I did was to create two tap device on same system and try pinging one from another, that also didn’t worked. 
> I have following queries
> 1) Is I am missing something? 
> 2) Is is possible to hook my own tx/rx to that tap device, so that data packets actually goes on wire?
> 3) Does DHCP works with tap devices?
> 
> 
> Thanks,
> ~Saurav
> 

Don't you need an application reading/writing the tap device?
The carrier state of tap device is up/down based on whether the corresponding tap device is open